#!/usr/bin/env php
<?php
//permet d'avoir un flux d'entrée différent de STDIN si on veut tester le script via un navigateur web
$ressources = fopen('php://stdin', 'r');

//on check les lignes : et on agrege les lignes
$row = array();
while ( ($line = fgets($ressources)) !== false) {
    $data = json_decode($line);

    if(isset($row[$data->ip][$data->domain])) {
        $row[$data->ip][$data->domain]['count'] ++;
    }else {
        $row[$data->ip][$data->domain]['count'] = 1;
    }

}

//on reconstruit le flux de sortie
foreach ($row as $ip=>$value) {
    foreach($value as $keyDomaine => $valueDomain) {
        $line = array('ip'=>$ip,'domain'=>$keyDomaine,'count'=>$valueDomain['count']);
        echo json_encode($line) , PHP_EOL;
    }
}